{% extends "layout.html.twig" %}

{% block content %}

    <div class="row">

        adhérent : <strong>{{ donneesAdherents.nomAdherent }}</strong>
        <form method="get" action="{{ BASE_URL }}/Emprunt/selectAdherentEmprunts">
            <input type="hidden" name="action" value="return">
            <input type="submit" name="changeAdherent" value="changer d'adherent"  style="width: 200px" />
        </form>
        <br>
        nombre d'emprunt(s) :{{ nbrEmprunts.nbrEmprunt }}
        <br>

        <fieldset>


                <table border="2">
                <caption>Recapitulatifs des Emprunts</caption>
                {% if donneesEmprunt is defined %}
                    <thead>
                    <tr><th>titre</th><th>date emprunt</th><th>nb. Jours</th>
                        <th>Exemplaires</th><th>date rendu</th><th>Rendre</th></tr>
                    </thead>
                    <tbody>
                    {% for value in donneesEmprunt %}
                        <tr><td>
                                {{ value.titre }}
                            </td><td>
                                {{ value.dateEmprunt | date('d/m/Y') }}
                            </td>
                            </td><td>
                                {{ value.nbJoursEmprunt }}
                            </td>
                            </td><td>
                                {{ value.noExemplaire }}
                            </td>
                            <form method="post" action="{{ BASE_URL }}/Emprunt/returnEmprunts">
                                <td>
                                    <input name="dateRetour"  type="text"  size="18" value="{{ value.dateRetour | date('d/m/Y') }}"/>

                                </td>

                                <td>
                                    <input type="hidden" name="noExemplaire" value="{{ value.noExemplaire }}">
                                    <input type="hidden" name="dateEmprunt" value="{{ value.dateEmprunt }}">
                                    <input type="hidden" name="idAdherent" value="{{ value.idAdherent }}">
                                    <input type="submit" name="rendreLivre" value="rendre">
                                </td>
                            </form>
                        </tr>
                    {% endfor %}
                    <tbody>
                    </table>

                {% else %}
                    <tr>
                        <td> pas d'Emprunt</td>
                    </tr>
                {% endif %}
        </fieldset>



    <a href="index.php">quitter</a>
    </div>

{% endblock %}